Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/klavaro: new aport

From: Fabio Riga <rifabio_at_dpersonam.me>
Date: Thu, 26 Feb 2015 17:01:47 +0000

http://klavaro.sourceforge.net/
Free touch typing tutor program
---
 testing/klavaro/APKBUILD             | 47 ++++++++++++++++++++++++++++++++++++
 testing/klavaro/configure.patch      | 28 +++++++++++++++++++++
 testing/klavaro/klavaro.post-install |  3 +++
 3 files changed, 78 insertions(+)
 create mode 100644 testing/klavaro/APKBUILD
 create mode 100644 testing/klavaro/configure.patch
 create mode 100644 testing/klavaro/klavaro.post-install
diff --git a/testing/klavaro/APKBUILD b/testing/klavaro/APKBUILD
new file mode 100644
index 0000000..2879c89
--- /dev/null
+++ b/testing/klavaro/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: Fabio Riga <rifabio_at_dpersonam.me>
+# Maintainer:
+pkgname=klavaro
+pkgver=3.01
+pkgrel=0
+pkgdesc="Free touch typing tutor program"
+url="http://klavaro.sourceforge.net/"
+arch="all"
+license="GPL2"
+depends="curl gtk+3.0 hicolor-icon-theme"
+depends_dev=""
+makedepends="intltool gtk+3.0-dev curl-dev"
+install="$pkgname.post-install"
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2 configure.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir" install
+        # remove the gtkdatabox shared library
+        # klavaro links to it statically due to some incompatibility with GTK3
+        rm -r "$pkgdir/usr/lib"
+}
+
+md5sums="53e2824ccc89f70dd7dca4d52ccf9c0e  klavaro-3.01.tar.bz2
+a86abf4ec807a463aff04013c5d11203  configure.patch"
+sha256sums="ed71d522c29113d5d6517a65cbf95dafbe85ca4bb978139b804b98f128015e85  klavaro-3.01.tar.bz2
+82b75b852f8ca40c5feeba25f16343e66552790373b45f7970d2c0b45bae48da  configure.patch"
+sha512sums="5d58269867d2b39309e07ca9dd6c525d67acaca93dea0010332e39e8f3dd444070dbc75abad00ac4ca3fd4155f41cf871cb8ccee3dc332aa31f85c8b17d7c48b  klavaro-3.01.tar.bz2
+19bd10345e912dc5ba0ed95bcb554289d83f0252076322a011932bbd678c9298237828a0e5fb2e508c4aa430229444ccf5a26fb766c7cef8e8c98b02ce5e2a2b  configure.patch"
diff --git a/testing/klavaro/configure.patch b/testing/klavaro/configure.patch
new file mode 100644
index 0000000..1822451
--- /dev/null
+++ b/testing/klavaro/configure.patch
_at_@ -0,0 +1,28 @@
+--- klavaro-3.01/configure.orig	2014-09-08 14:15:34.000000000 +0200
++++ klavaro-3.01/configure	2015-02-26 16:35:25.957494496 +0100
+_at_@ -13088,24 +13088,7 @@ extern int _nl_msg_cat_cntr;
+   return 0;
+ }
+ _ACEOF
+-if ac_fn_c_try_link "$LINENO"; then :
+-  DATADIRNAME=share
+-else
+-  case $host in
+-    *-*-solaris*)
+-                        ac_fn_c_check_func "$LINENO" "bind_textdomain_codeset" "ac_cv_func_bind_textdomain_codeset"
+-if test "x$ac_cv_func_bind_textdomain_codeset" = xyes; then :
+-  DATADIRNAME=share
+-else
+-  DATADIRNAME=lib
+-fi
+-
+-    ;;
+-    *)
+-    DATADIRNAME=lib
+-    ;;
+-    esac
+-fi
++DATADIRNAME=share
+ rm -f core conftest.err conftest.$ac_objext \
+     conftest$ac_exeext conftest.$ac_ext
+ fi
diff --git a/testing/klavaro/klavaro.post-install b/testing/klavaro/klavaro.post-install
new file mode 100644
index 0000000..0c64f0e
--- /dev/null
+++ b/testing/klavaro/klavaro.post-install
_at_@ -0,0 +1,3 @@
+#!/bin/sh
+
+gtk-update-icon-cache -f /usr/share/icons/hicolor/
-- 
2.2.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Feb 26 2015 - 17:01:47 GMT